Loading...
Searching...
No Matches
virtualrefinement.hh File Reference

This file contains the virtual wrapper around refinement. More...

`#include <vector>`
`#include <dune/common/fvector.hh>`
`#include "refinement.hh"`
`#include "type.hh"`
`#include "virtualrefinement.cc"`

Go to the source code of this file.

## Classes

class | Dune::VirtualRefinement< dimension, CoordType >
| VirtualRefinement base class. More...
struct | Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >
| codim database of VirtualRefinement More...

## Namespaces

namespace | Dune

## Functions

template<int dimension, class CoordType>
VirtualRefinement< dimension, CoordType > & | Dune::buildRefinement (GeometryType geometryType, GeometryType coerceTo)
| return a reference to the VirtualRefinement according to the parameters

## Detailed Description

This file contains the virtual wrapper around refinement.